Unable to update Plesk: Sub-process /usr/bin/dpkg returned an error code (1): iF mysql-server-5.7

Follow

Comments

2 comments

  • Avatar
    Unknown User

    I don't understand what this means. What exactly you have to enter into the SSH terminal to get a success.
    I typed 'apt-get install --reinstall mysql-server' at the end because I couldn't do anything with the previous steps.
    But again I got the error message:
    Unfulfilled dependencies. Try apt-get -f install without specifying a package (or specify a solution).

    These are The Log Infos on the UI Window:

     

    • 2019-01-10 16:27:50 INFO: pum is called with arguments: ['--update', '--json', '--', 'ca-certificates', 'libapache2-mod-perl2', 'libnss3', 'libnss3-nssdb', 'libruby2.3', 'libsasl2-modules', 'mysql-server', 'mysql-server-5.7', 'mysql-server-core-5.7', 'openssl', 'python3-software-properties', 'ruby2.3', 'sa-compile', 'software-properties-common', 'systemd-sysv', 'tor', 'tor-geoipdb']
    • 2019-01-10 16:27:52 INFO: updating packages: libnss3-nssdb python3-software-properties openssl ruby2.3 mysql-server-5.7 mysql-server nginx-core nginx-common libsasl2-modules libruby2.3 systemd-sysv tor sa-compile libapache2-mod-perl2 tor-geoipdb libnss3 ca-certificates mysql-server-core-5.7 software-properties-common
    • E:Sub-process /usr/bin/dpkg returned an error code (1)
    • 2019-01-10 16:27:54 ERROR: installArchives() failed
    • 2019-01-10 16:27:54 ERROR: Exited with returncode 1.

     

  • Avatar
    Alexandr Bashurov

    @Wilhelm Ahrendt (Patrick Pehl)

    "Unfulfilled dependencies" is a generic dpkg error message that might not be related to this exact article.
    As per the output, it is possible that the following article should be applied beforehand: Plesk update fails: The following packages have unmet dependencies: nginx.
    This is due to the fact that nginx-core and nginx-common packages must not be installed on Plesk server: they are replaced by the sw-nginx, provided by Plesk.

    Please, note that if it does not resolve the issue, it would be better to create a support request for further investigation as per the following article: How to submit a request to Plesk support?

Please sign in to leave a comment.

Have more questions? Submit a request